# Interface PointSelectionListener

All Superinterfaces:
  `EventListener`

public interface PointSelectionListener extends EventListener
Listens for events representing the selection of a data point in a plot. This usually happens when a user clicks on a plot.

Since:
  21 Nov 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`pointSelected(PointSelectionEvent evt)`
Called when an attempt has been made to select a point, usually by clicking on a plot.

## Method Details

### pointSelected

void pointSelected(PointSelectionEvent evt)
Called when an attempt has been made to select a point, usually by clicking on a plot. The selection event is triggered by the attempt; the content of the event indicates whether any point(s) were actually selected.

Note that because identification of a selected point is a potentially expensive operation (it requires a scan of all plotted data points), this method is called asynchronously, rather than from the associated mouse listener. Invocation will however be on the Event Dispatch Thread as usual.

Parameters:
  `evt` - selection event